<?php
global $wp_query;
$large_first_image = $args['large_first_image'] ?? true;
$post_count = 0;
$query = $args['query'] ?? $wp_query;
if ($query->have_posts()) {
    while ($query->have_posts()) {
        $post_count++;
        $query->the_post();
        get_template_part('en/content', 'post-en', ['full_width' => $post_count === 1 && $large_first_image]);?>
<?php
    }
    wp_reset_postdata();
}
?>